The following shows how to generate the dns-analytics-edns-traffic-by-zone report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.
Report definition
This report shows all DNS requests, requests with NXDOMAIN responses, and requests that do not have NXDOMAIN responses. This data is shown based on zone.
Business object: edns
Data available for: 90 days
Available metrics
| Metric | Description |
|---|---|
| Data metrics | |
investigateLink | Link to the Zone Details dashboard in Control Center. |
percentNxDomainResponses | Percent of responses that were NXDOMAIN responses. |
sumHits | Total number of requests. |
sumNxDomain | Total number of requests with NXDOMAIN responses. |
zoneName | Name of the zone. |
POST request
POST /reporting-api/v1/reports/dns-analytics-edns-traffic-by-zone/versions/1/report-data{?start,end}
Sample: /reporting-api/v1/reports/dns-analytics-edns-traffic-by-zone/versions/1/report-data?start=2026-02-01T00%3A00%3A00Z&end=2026-03-01T00%3A00%3A00Z
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2026-02-01T00:00:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp. |
end | String | 2026-03-01T00:00:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp. |
JSON request members
| Member | Type | Description |
|---|---|---|
objectIds | Array | Specifies the set of edns values you want to report on. |
objectIds | Enumeration | As an alternative to an array of ID values, specify all as a string for unfiltered data. Either way, objectIds is required. |
metrics | Array | The set of desired metrics. If omitted, the report includes all available metrics. |
Request body:
{
"objectIds": [
"www.example.com",
"m.example.com",
"blog.example.com",
"example1.com",
"example2.com",
"example3.com",
"example4.com"
],
"metrics": [
"investigateLink",
"percentNxDomainResponses",
"sumHits",
"sumNxDomain",
"zoneName"
]
}
GET request
GET /reporting-api/v1/reports/dns-analytics-edns-traffic-by-zone/versions/1/report-data{?start,end,objectIds,allObjectIds,metrics}
Sample: /reporting-api/v1/reports/dns-analytics-edns-traffic-by-zone/versions/1/report-data?start=2026-02-01T00%3A00%3A00Z&end=2026-03-01T00%3A00%3A00Z&objectIds=www.example.com,m.example.com,blog.example.com,example1.com,example2.com,example3.com,example4.com&metrics=investigateLink%2CpercentNxDomainResponses
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
| Required | |||
start | String | 2026-02-01T00:00:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp. |
end | String | 2026-03-01T00:00:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp. |
| Optional | |||
allObjectIds | Boolean | true | As an alternative to objectIds, enabling this generates a report that includes all IDs available for the edns objectType. This parameter is ignored if the request also specifies a set of objectIds. |
objectIds | String | www.example.com,m.example.com,blog.example.com, example1.com, example2,com, example3.com, example4.com | As an alternative to allObjectIds, specifies the set of unique IDs for the edns objectType you want to report on, formatted as a comma-delimited list. |
metrics | String | investigateLink,percentNxDomainResponses | Specifies a comma-separated list of metrics to include in the report, otherwise all metrics if omitted. The set of available metrics depends on the type of report. URL-encode the entire value in the GET request. |
JSON response
Status 200 application/json
Response body:
{
"metadata": {
"name": "dns-analytics-edns-traffic-by-zone",
"version": "1",
"outputType": "FLAT",
"groupBy": [
"zoneName"
],
"start": "2026-02-01T00:00:00Z",
"end": "2026-03-01T00:00:00Z",
"availableDataEnds": null,
"suggestedRetryTime": null,
"rowCount": 4,
"filters": [],
"columns": [
{
"name": "groupBy",
"label": "zoneName"
},
{
"name": "investigateLink",
"label": "Investigate Link"
},
{
"name": "percentNxDomainResponses",
"label": "Edge DNS Zone Percent NXDOMAIN"
},
{
"name": "sumHits",
"label": "Edge DNS Zone Hits Summed"
},
{
"name": "sumNxDomain",
"label": "Edge DNS Zone NXDOMAINs Summed"
},
{
"name": "zoneName",
"label": "Edge DNS Zone Name"
}
],
"objectType": "edns",
"objectIds": [
"www.example.com",
"example1.com",
"example2.com",
"example3.com",
"example4.com",
"m.example.com",
"blog.example.com"
]
},
"data": [
{
"zoneName": "example1.com",
"investigateLink": "/apps/reports/#/dashboard/dns-analytics-zone?edns=example1.com&version=1&start=2026-02-01T00:00:00Z&end=2026-02-06T00:00:00Z",
"percentNxDomainResponses": "0.10",
"sumHits": "40",
"sumNxDomain": "4"
},
{
"zoneName": "example2.com",
"investigateLink": "/apps/reports/#/dashboard/dns-analytics-zone?edns=example2.com&version=1&start=2026-02-01T00:00:00Z&end=2026-02-06T00:00:00Z",
"percentNxDomainResponses": "0.5",
"sumHits": "30",
"sumNxDomain": "15"
},
{
"zoneName": "example3.com",
"investigateLink": "/apps/reports/#/dashboard/dns-analytics-zone?edns=example3.com&version=1&start=2026-02-01T00:00:00Z&end=2026-02-06T00:00:00Z",
"percentNxDomainResponses": "0.25",
"sumHits": "100",
"sumNxDomain": "25"
},
{
"zoneName": "example4.com",
"investigateLink": "/apps/reports/#/dashboard/dns-analytics-zone?edns=example4.com&version=1&start=2026-02-01T00:00:00Z&end=2026-02-06T00:00:00Z",
"percentNxDomainResponses": "0.75",
"sumHits": "100",
"sumNxDomain": "75"
}
],
"summaryStatistics": {}
}
Get report details
This sample Get a report type operation gets the same information you need to run the dns-analytics-edns-traffic-by-zone report as provided in this reference documentation, but available dynamically to your API client application.
GET /reporting-api/v1/reports/dns-analytics-edns-traffic-by-zone/versions/1
Status 200 application/json
Response body:
{
"name": "dns-analytics-edns-traffic-by-zone",
"description": "This report shows all DNS requests, requests with NXDOMAIN responses, and requests that do not have NXDOMAIN responses. This data is shown based on zone.",
"businessObjectName": "edns",
"version": 1,
"status": "PUBLISHED",
"deprecated": false,
"timeBased": false,
"supportsPagination": false,
"outputType": "FLAT",
"available": true,
"metrics": [
{
"name": "zoneName",
"description": "Name of the zone.",
"label": "Edge DNS Zone Name",
"unit": "STRING",
"summaryStatistic": false
},
{
"name": "sumHits",
"description": "Total number of requests.",
"label": "Edge DNS Zone Hits Summed",
"unit": "STRING",
"summaryStatistic": false
},
{
"name": "sumNxDomain",
"description": "Total number of requests with NXDOMAIN responses.",
"label": "Edge DNS Zone NXDOMAINs Summed",
"unit": "STRING",
"summaryStatistic": false
},
{
"name": "percentNxDomainResponses",
"description": "Percent of responses that were NXDOMAIN responses.",
"label": "Edge DNS Zone Percent NXDOMAIN",
"unit": "STRING",
"summaryStatistic": false
},
{
"name": "investigateLink",
"description": "Link to the Zone Details dashboard in Control Center.",
"label": "Investigate Link",
"unit": "STRING",
"summaryStatistic": false
}
],
"groupOutlyingValues": {
"enabled": false
},
"groupBy": [
"zoneName"
],
"intervals": [
"FIVE_MINUTES"
],
"dataRetentionDays": 90,
"links": [
{
"rel": "self",
"href": "/reporting-api/v1/reports/dns-analytics-edns-traffic-by-zone/versions/1"
},
{
"rel": "versions",
"href": "/reporting-api/v1/reports/dns-analytics-edns-traffic-by-zone/versions"
},
{
"rel": "all-reports",
"href": "/reporting-api/v1/reports"
},
{
"rel": "execute-report",
"href": "/reporting-api/v1/reports/dns-analytics-edns-traffic-by-zone/versions/1/report-data"
}
]
}